<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <artifactId>ghjg-item-datashare</artifactId>

  <dependencyManagement>
    <dependencies>
      <dependency>
        <artifactId>commons-io</artifactId>
        <groupId>org.apache.commons</groupId>
        <version>${commons-io.version}</version>
      </dependency>
      <dependency>
        <artifactId>lombok</artifactId>
        <groupId>org.projectlombok</groupId>
        <version>${lombok.version}</version>
      </dependency>
      <dependency>
        <artifactId>hutool-all</artifactId>
        <groupId>cn.hutool</groupId>
        <version>${cn.hutool.version}</version>
      </dependency>
      <dependency>
        <artifactId>jasypt-spring-boot-starter</artifactId>
        <groupId>com.github.ulisesbocchio</groupId>
        <version>${jasypt.version}</version>
      </dependency>
      <dependency>
        <artifactId>opencsv</artifactId>
        <groupId>com.opencsv</groupId>
        <version>${opencsv.version}</version>
      </dependency>
      <dependency>
        <artifactId>httpclient</artifactId>
        <groupId>org.apache.httpcomponents</groupId>
        <version>${httpclient.version}</version>
      </dependency>
      <dependency>
        <artifactId>mybatis-plus-boot-starter</artifactId>
        <groupId>com.baomidou</groupId>
        <version>${mybatis-plus.version}</version>
      </dependency>
      <dependency>
        <artifactId>fastjson</artifactId>
        <groupId>com.alibaba</groupId>
        <version>${fastjson.version}</version>
      </dependency>
      <dependency>
        <artifactId>ojdbc6</artifactId>
        <groupId>com.oracle</groupId>
        <version>${ojdbc.version}</version>
      </dependency>
      <dependency>
        <artifactId>ojdbc8</artifactId>
        <groupId>com.oracle.database.jdbc</groupId>
        <version>${ojdbc8.version}</version>
      </dependency>
      <!--      <dependency>-->
      <!--        <groupId>cn.com.kingbase</groupId>-->
      <!--        <artifactId>kingbase8</artifactId>-->
      <!--        <version>${kingbase.version}</version>-->
      <!--      </dependency>-->
      <dependency>
        <artifactId>springfox-swagger2</artifactId>
        <groupId>io.springfox</groupId>
        <version>${swagger2.version}</version>
      </dependency>
      <dependency>
        <artifactId>springfox-swagger-ui</artifactId>
        <groupId>io.springfox</groupId>
        <version>${swagger2.version}</version>
      </dependency>
      <dependency>
        <artifactId>pagehelper-spring-boot-starter</artifactId>
        <groupId>com.github.pagehelper</groupId>
        <version>${pagehelper.version}</version>
      </dependency>
      <dependency>
        <artifactId>shiro-spring</artifactId>
        <groupId>org.apache.shiro</groupId>
        <version>${shiro.version}</version>
      </dependency>
      <dependency>
        <artifactId>jjwt</artifactId>
        <groupId>io.jsonwebtoken</groupId>
        <version>${jsonweb.version}</version>
      </dependency>
      <dependency>
        <artifactId>commons-lang3</artifactId>
        <groupId>org.apache.commons</groupId>
        <version>${commons-lang3.version}</version>
      </dependency>
      <dependency>
        <artifactId>easyexcel</artifactId>
        <groupId>com.alibaba</groupId>
        <version>${easyExcel.version}</version>
      </dependency>
      <dependency>
        <groupId>cn.smallbun.screw</groupId>
        <artifactId>screw-core</artifactId>
        <version>${screw-core.version}</version>
      </dependency>
      <dependency>
        <groupId>com.zaxxer</groupId>
        <artifactId>HikariCP</artifactId>
        <version>${HikariCP.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <groupId>com.shanghaichengdi</groupId>

  <modelVersion>4.0.0</modelVersion>
  <modules>
    <module>ghjg-item-datashare-server</module>
    <module>ghjg-item-datashare-common</module>
    <module>ghjg-item-datashare-client</module>
  </modules>
  <packaging>pom</packaging>

  <parent>
    <artifactId>spring-boot-starter-parent</artifactId>
    <groupId>org.springframework.boot</groupId>
    <version>2.3.7.RELEASE</version>
  </parent>
  <properties>
    <cn.hutool.version>5.5.2</cn.hutool.version>
    <commons-io.version>1.3.2</commons-io.version>
    <commons-lang3.version>3.4</commons-lang3.version>
    <easyExcel.version>3.0.2</easyExcel.version>
    <fastjson.version>1.2.83</fastjson.version>
    <httpclient.version>4.5.13</httpclient.version>
    <jasypt.version>2.1.0</jasypt.version>
    <jsonweb.version>0.9.1</jsonweb.version>
    <kingbase.version>8.6.0</kingbase.version>
    <lombok.version>1.18.16</lombok.version>
    <maven.compiler.source>8</maven.compiler.source>
    <maven.compiler.target>8</maven.compiler.target>
    <mybatis-plus.version>3.4.1</mybatis-plus.version>
    <ojdbc.version>11.2.0.3</ojdbc.version>
    <ojdbc8.version>12.2.0.1</ojdbc8.version>
    <opencsv.version>4.0</opencsv.version>
    <pagehelper.version>1.3.1</pagehelper.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <shiro.version>1.4.0</shiro.version>
    <swagger2.version>2.9.2</swagger2.version>
    <screw-core.version>1.0.5</screw-core.version>
    <HikariCP.version>3.4.5</HikariCP.version>
  </properties>
  <version>1.0-SNAPSHOT</version>

</project>